<?php
class frequent_reference extends Plugin
{
	public function filter_plugin_config($actions, $plugin_id) {
		if ($plugin_id == $this->plugin_id()){
			$actions[] = 'Configure';
		}
		return $actions;
	}
		
	public function action_plugin_ui($plugin_id, $action) {
		if ($plugin_id == $this->plugin_id()){
			switch ($action){
				case 'Configure' :
					$ui = new FormUI('frequent_reference');
					$ui->append('textmulti', 'fields', 'frequent_reference__words', 'Words to convert into links: (word, url)');
					$ui->append('submit', 'submit', 'Submit');
					$ui->out();
					break;
			}
		}
	}
	
	public function filter_post_content_out($content) {
		$patterns= array();
		$replacements= array();
		
		$matches= Options::get('frequent_reference__words');
		foreach($matches as $match) {
			$parts= explode(',', $match);
			$patterns[]= '/' . $parts[0] . '/';
			$replacements[]= '<a href="' . ltrim($parts[1]) . '" title="' . $parts[0] . '">' . $parts[0] . '</a>';
		}
		
		return preg_replace($patterns, $replacements, $content, 1);
	}
}
?>